Add checks for programs which are required for the test suite to run.
authoreric@localhost.localdomain
Mon, 19 Sep 2005 18:24:37 -0700
changeset 1279 8ab1c07d4e0b
parent 1278 6a0d373d3126
child 1280 50553b99a5c9
child 1281 84df9951532a
Add checks for programs which are required for the test suite to run. All prerequisite programs are checked for existance, and if any are missing, a list of missing programs is printed, and the test suite is aborted. All programs currently used in the tests, except those in core-utils, are checked.
tests/run-tests
--- a/tests/run-tests	Mon Sep 19 15:59:17 2005 -0700
+++ b/tests/run-tests	Mon Sep 19 18:24:37 2005 -0700
@@ -104,6 +104,27 @@
     return $fail
 }
 
+# list of prerequisite programs 
+# stuff from coreutils (cat, rm, etc) are not tested
+prereqs="python merge diff grep unzip md5sum gunzip sed"
+missing=''
+for pre in $prereqs ; do
+    if type $pre > /dev/null 2>&1 ; then
+        : prereq exists
+    else 
+        missing="$pre $missing"
+    fi
+done
+
+if [ "$missing" != ''  ] ; then
+    echo "ERROR: the test suite needs some programs to execute correctly."
+    echo "The following programs are missing: "
+    for pre in $missing; do
+        echo "   $pre"
+    done
+    exit 1
+fi
+
 TESTS="$*"
 if [ -z "$TESTS" ] ; then
     TESTS=`ls test-* | grep -v "[.~]"`